import PlantCard from "./PlantCard";
import { Plant } from "../utils/schemas";

type PlantsOverviewProps = {
    plants: Plant[]
}

export default function PlantsOverview({plants} : PlantsOverviewProps) {
  return (
    <>
      <ul
        style={{
          display: "flex",
          flexWrap: "wrap",
          gap: "0.5rem",
          width: "100%",
        }}
      >
        {plants.map((plant) => (
          <PlantCard plant={plant} key={plant.id} />
        ))}
      </ul>
    </>
  );
}
